import { __decorate } from "tslib";
import Intact from 'intact-angular';
import { NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { Input, Search } from './components/input';
export var InputComponent = Intact.decorate(Input, 'k-input');
export var SearchComponent = Intact.decorate(Search, 'k-search');
var components = [InputComponent, SearchComponent];
var InputModule = /** @class */ (function () {
    function InputModule() {
    }
    InputModule = __decorate([
        NgModule({
            declarations: components,
            exports: components,
            schemas: [NO_ERRORS_SCHEMA]
        })
    ], InputModule);
    return InputModule;
}());
export { InputModule };